Subject: bug#19988: 25.0.50; Drag events ending in different frame

From: Eli Zaretskii <[email-masked]>
Date: Thu, 05 Mar 2015 05:37:58 +0200

> From: Tassilo Horn <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Wed, 04 Mar 2015 22:09:42 +0100
> 
> >> And that situation is already covered as one would expect.
> >
> > What do you mean by "as one would expect"?  On my machine, the
> > behavior is unreasonable: the wrong part of text is selected.
> 
> When I select a region by dragging Mouse-1 starting at the "selected."
> above, as soon as the mouse cursor leaves the emacs frame, the region
> won't grow or shrink anymore until I enter the frame and window again.
> And when I release the drag outside of the frame and window where I
> started, the final region is the last one before leaving the
> frame/window.  That's pretty much what I'd expect except that releasing
> the drag outside of the start frame/window inactivates the region.

I wish I saw something like that, but I don't.  Could be a Windows
specific issue, though.

In any case, that doesn't explain the "already covered" part: isn't
that "covered" _because_ we return the initial frame as the end of
drag?